Description

I couldn't set correct date/time to field on shapefile, when I set field type to date and use Date/Time Edit Widget.

I get always only current date.

In set field type to String and use Date/Time Edit Widget case, correct value to be set.Is this the correct behavior?

Tested QGIS 2.6 installed from OSGeo4W.

History

#1 - 2015-01-12 05:34 AM - Denis Rouzaud

I can't reproduce in master. Maybe I don't fully understand your problem.

Do you use the automatic form generation or a custom UI file (Qt Designer)?

Can you provide a demo project?

Or give a step-by-step procedure to reproduce this issue?

#2 - 2015-01-12 10:45 AM - Giovanni Manghi

- Affected QGIS version changed from 2.6.0 to master

- Status changed from Open to Feedback

- Category set to Vectors

Or give a step-by-step procedure to reproduce this issue?

it is simple, add a column of type "date" to a shapefile, then give the column the "date/time" widget and set it to add... date and time.

Then edit the column: qgis will add date and time, and they seems to stick even after saving edits, but then close and reopen the table and times are gone.

Shapes cannot store time, see for example

http://forums.esri.com/MsgPrint.asp?c=93&#38;f=1149&#38;t=106423&#38;m=542861

closing?

#3 - 2015-01-13 12:55 AM - kosuke ASAHI
it is simple, add a column of type "date" to a shapefile, then give the column the "date/time" widget and set it to add... date and time.

Then edit the column: qgis will add date and time, and they seems to stick even after saving edits, but then close and reopen the table and times are

gone.

OK, I understand shapefile cannot store time.

And one more step.

Reopen the shapefile and set to "date/time" widget, only current date/time appear on "date/time" widget.Is this the correct behavior?

#4 - 2015-01-13 07:58 AM - Giovanni Manghi

Reopen the shapefile and set to "date/time" widget, only current date/time appear on "date/time" widget.Is this the correct behavior?

sorry I do not understand this other issue.

#5 - 2015-11-10 04:32 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback. Reopen if necessary.
